aws-0.24.2: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.Iam.Commands.ListAccessKeys

Synopsis

- data ListAccessKeys = ListAccessKeys {
  - lakUserName :: Maybe Text
  - lakMarker :: Maybe Text
  - lakMaxItems :: Maybe Integer
  }
- data ListAccessKeysResponse = ListAccessKeysResponse {
  - lakrAccessKeyMetadata :: [AccessKeyMetadata]
  - lakrIsTruncated :: Bool
  - lakrMarker :: Maybe Text
  }

# Documentation

data ListAccessKeys #

Returns the access keys associated with the specified user.

http://docs.aws.amazon.com/IAM/latest/APIReference/API_ListAccessKeys.html

Constructors

ListAccessKeys |

Fields

- lakUserName :: Maybe Text

  Name of the user. If the user name is not specified, IAM will determine the user based on the key sigining the request.

- lakMarker :: Maybe Text

  Used for paginating requests. Marks the position of the last request.

- lakMaxItems :: Maybe Integer

  Used for paginating requests. Specifies the maximum number of items to return in the response. Defaults to 100.

#### Instances

Instances details

SignQuery ListAccessKeys # |

Instance details

Defined in Aws.Iam.Commands.ListAccessKeys

Associated Types

type ServiceConfiguration ListAccessKeys |
Instance details Defined in Aws.Iam.Commands.ListAccessKeys type ServiceConfiguration ListAccessKeys = IamConfiguration

Methods

signQuery :: ListAccessKeys -> ServiceConfiguration ListAccessKeys queryType -> SignatureData -> SignedQuery #

Show ListAccessKeys # |
Instance details Defined in Aws.Iam.Commands.ListAccessKeys Methods showsPrec :: Int -> ListAccessKeys -> ShowS # show :: ListAccessKeys -> String # showList :: [ListAccessKeys] -> ShowS #
Eq ListAccessKeys # |
Instance details Defined in Aws.Iam.Commands.ListAccessKeys Methods (==) :: ListAccessKeys -> ListAccessKeys -> Bool # (/=) :: ListAccessKeys -> ListAccessKeys -> Bool #
Ord ListAccessKeys # |

Instance details

Defined in Aws.Iam.Commands.ListAccessKeys

Methods

compare :: ListAccessKeys -> ListAccessKeys -> Ordering #

(<) :: ListAccessKeys -> ListAccessKeys -> Bool #

(<=) :: ListAccessKeys -> ListAccessKeys -> Bool #

(>) :: ListAccessKeys -> ListAccessKeys -> Bool #

(>=) :: ListAccessKeys -> ListAccessKeys -> Bool #

max :: ListAccessKeys -> ListAccessKeys -> ListAccessKeys #

min :: ListAccessKeys -> ListAccessKeys -> ListAccessKeys #

IteratedTransaction ListAccessKeys ListAccessKeysResponse # |
Instance details Defined in Aws.Iam.Commands.ListAccessKeys Methods nextIteratedRequest :: ListAccessKeys -> ListAccessKeysResponse -> Maybe ListAccessKeys #
ResponseConsumer ListAccessKeys ListAccessKeysResponse # |

Instance details

Defined in Aws.Iam.Commands.ListAccessKeys

Associated Types

type ResponseMetadata ListAccessKeysResponse |
Instance details Defined in Aws.Iam.Commands.ListAccessKeys type ResponseMetadata ListAccessKeysResponse = IamMetadata

Methods

responseConsumer :: Request -> ListAccessKeys -> IORef (ResponseMetadata ListAccessKeysResponse) -> HTTPResponseConsumer ListAccessKeysResponse #

Transaction ListAccessKeys ListAccessKeysResponse # |
Instance details Defined in Aws.Iam.Commands.ListAccessKeys
type ServiceConfiguration ListAccessKeys # |
Instance details Defined in Aws.Iam.Commands.ListAccessKeys type ServiceConfiguration ListAccessKeys = IamConfiguration

data ListAccessKeysResponse #

Constructors

ListAccessKeysResponse |

Fields

- lakrAccessKeyMetadata :: [AccessKeyMetadata]

  List of `AccessKeyMetadata` objects

- lakrIsTruncated :: Bool

  `True` if the request was truncated because of too many items.

- lakrMarker :: Maybe Text

  Marks the position at which the request was truncated. This value must be passed with the next request to continue listing from the last position.

#### Instances

Instances details

AsMemoryResponse ListAccessKeysResponse # |

Instance details

Defined in Aws.Iam.Commands.ListAccessKeys

Associated Types

type MemoryResponse ListAccessKeysResponse |
Instance details Defined in Aws.Iam.Commands.ListAccessKeys type MemoryResponse ListAccessKeysResponse = ListAccessKeysResponse

Methods

loadToMemory :: ListAccessKeysResponse -> ResourceT IO (MemoryResponse ListAccessKeysResponse) #

Show ListAccessKeysResponse # |
Instance details Defined in Aws.Iam.Commands.ListAccessKeys Methods showsPrec :: Int -> ListAccessKeysResponse -> ShowS # show :: ListAccessKeysResponse -> String # showList :: [ListAccessKeysResponse] -> ShowS #
Eq ListAccessKeysResponse # |
Instance details Defined in Aws.Iam.Commands.ListAccessKeys Methods (==) :: ListAccessKeysResponse -> ListAccessKeysResponse -> Bool # (/=) :: ListAccessKeysResponse -> ListAccessKeysResponse -> Bool #
Ord ListAccessKeysResponse # |

Instance details

Defined in Aws.Iam.Commands.ListAccessKeys

Methods

compare :: ListAccessKeysResponse -> ListAccessKeysResponse -> Ordering #

(<) :: ListAccessKeysResponse -> ListAccessKeysResponse -> Bool #

(<=) :: ListAccessKeysResponse -> ListAccessKeysResponse -> Bool #

(>) :: ListAccessKeysResponse -> ListAccessKeysResponse -> Bool #

(>=) :: ListAccessKeysResponse -> ListAccessKeysResponse -> Bool #

max :: ListAccessKeysResponse -> ListAccessKeysResponse -> ListAccessKeysResponse #

min :: ListAccessKeysResponse -> ListAccessKeysResponse -> ListAccessKeysResponse #

IteratedTransaction ListAccessKeys ListAccessKeysResponse # |
Instance details Defined in Aws.Iam.Commands.ListAccessKeys Methods nextIteratedRequest :: ListAccessKeys -> ListAccessKeysResponse -> Maybe ListAccessKeys #
ResponseConsumer ListAccessKeys ListAccessKeysResponse # |

Instance details

Defined in Aws.Iam.Commands.ListAccessKeys

Associated Types

type ResponseMetadata ListAccessKeysResponse |
Instance details Defined in Aws.Iam.Commands.ListAccessKeys type ResponseMetadata ListAccessKeysResponse = IamMetadata

Methods

responseConsumer :: Request -> ListAccessKeys -> IORef (ResponseMetadata ListAccessKeysResponse) -> HTTPResponseConsumer ListAccessKeysResponse #

Transaction ListAccessKeys ListAccessKeysResponse # |
Instance details Defined in Aws.Iam.Commands.ListAccessKeys
type MemoryResponse ListAccessKeysResponse # |
Instance details Defined in Aws.Iam.Commands.ListAccessKeys type MemoryResponse ListAccessKeysResponse = ListAccessKeysResponse
type ResponseMetadata ListAccessKeysResponse # |
Instance details Defined in Aws.Iam.Commands.ListAccessKeys type ResponseMetadata ListAccessKeysResponse = IamMetadata